package es.ua.jtech.jsp.sesion10.pruebatags;

import javax.servlet.jsp.*;
import javax.servlet.jsp.tagext.*;

// Este tag realiza un case concreto para un tag switch padre

public class TagCase implements Tag
{
	private PageContext contexto;		// Contexto del tag
	private Tag padre; 					// Tag padre del actual
	String valor;						// Valor del case
	
	// Metodo llamado cuando se comienza el tag
	public int doStartTag() throws JspException 
	{ 
		TagSwitch miPadre = (TagSwitch)getParent();
		
		if(miPadre==null)
			throw new JspException("Tag 'case' sin tag 'switch' padre");

		try
		{
			if(miPadre.getValor().equals(getValor()))
				return EVAL_BODY_INCLUDE; 
			else
				return SKIP_BODY;
		} catch(NullPointerException e) {

			if(miPadre.getValor()==null || getValor()==null)
				return EVAL_BODY_INCLUDE;
			else
				return SKIP_BODY; 
		} 	
	} 
	
	// Metodo llamado cuando se termina el tag
	public int doEndTag() throws JspException 
	{
		return EVAL_PAGE;
	} 
	
	// Metodo de limpieza
	public void release() {}
	
	// Metodo para asignar el contexto
	public void setPageContext(final PageContext contexto) 
	{
		this.contexto = contexto; 
	} 
	
	// Metodo para asignar el tag padre
	public void setParent(final Tag padre) 
	{
		this.padre = padre;
	} 
	
	// Metodo para obtener el padre
	public Tag getParent() 
	{
		return padre;
	}

	// Obtiene el valor del case
	public String getValor()
	{
		return valor;
	}		

	// Establece el valor del case
	public void setValor(String valor)
	{
		this.valor = valor;
	}			
}